Subject: RE: No CPP in cygwin32 for NT
From: [email-masked] ("Jim Taylor")

21 Oct 1996 20:29:50 -0700
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7BIT
Comments: Authenticated sender is <[email-masked]>
Original-To: Stephen Maryka <[email-masked]>
Original-CC: [email-masked], [email-masked]
X-mailer: Pegasus Mail for Win32 (v2.42a)
Original-Sender: [email-masked]

Hello,

	I'm not sure if  the following has any bearing on your present problem,
but I said I would send it along so here it is.

************

THIS IS A MESSAGE EXCERPT PULLED FROM THE ARCHIVE!

Re: Can I mount D:\ rather than C:\ as
the gnu-win32 root directory?

[email-masked]
Sun, 21 Apr 1996 02:20:30 -0400 

     Messages sorted by: [ date ][ thread ][ subject ][ author ]
     Next message: Jean-Francois Devos: "Re: Can I mount D:\
     rather than C:\ as the gnu-win32 root" Previous message:
     Johannes Reisinger: "file times" 

Go into the Registry and look for like HKEY_BLAH(what is the
reasoning behind those names?!)/Software/Cygnus and you'll find
the "mount list" (my term). I have had the problem a few times
with gnu-win32 when getting a new version of nothing working at
all because c:\ is / and d:\ is nothing, and d is my main
partition. Now, it doesn't take me long to realize or fix, but
can the library be smarter? Like, if cygwin.dll is in d:\usr\lib
(or is it d:\lib?), then maybe d:\ should be / by default instead
of c:\. Or if NT is on d:\, or whatever is easy to find by
whatever is setting up the default mount points. Someone
indicated to me once they didn't know how to work with the
registry; as a hint, look for Windows NT Diagnostics in the
Administrative Tools in the normal/default NT Program Manager
setup; then, there's a menu that lists registry editor, disk
administrator and I think Event Viewer.

I think this is supposedly fixable by running mount from the
(empty) NT shell ("cmd" aka command.com), but I've had more luck
using the registry.

- Jay
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".

     Next message: Jean-Francois Devos: "Re: Can I mount D:\
     rather than C:\ as the gnu-win32 root" Previous message:
     Johannes Reisinger: "file times" 

END MESSAGE EXCERPT

**************

> From:          Self <jet>
> To:            Stephen Maryka <[email-masked]>
> Subject:       RE: No CPP in cygwin32 for NT
> Cc:            [email-masked]
> Date:          Mon, 21 Oct 1996 18:39:23 +0400

> Hello,
> 
> 	I am somewhat reluctant to give advice as my experience and
> knowledge in this area extend only to the point that I am just 
> starting to try and get it all working myself.
> 	With that disclaimer, when I noticed you mentioned you were
> trying to get things working from the d: drive I remembered 
> tripping across several messages that this is problematic with
> the GNU win32 install.  ...
> ...
> ...
> 
> Steve Willer provided me with the following;
> 
>  a) created a "cygnus" directory on my C: drive
>  b) unpacked the archive into there (using b18)
>  c) created a "bin" directory off root on my C: drive 
>  d) copied "sh.exe" from cygnus\h-i386-cygwin32\bin to \bin
>  e) changed my autoexec.bat so that c:\bin was first in
>	the path and 
> 	c:\cygnus\h-i386-cygwin32\bin 
> 	is somewhere in the middle of the path 
> 	(it's up to you where you put it, but be sure 
> 	to put it before any other directory that
> 	has "make", like Borland C++)
> f) set these other environment variables:
> 
> GCC_EXEC_PREFIX=/cygnus/h-i386-cygwin32/lib/gcc-lib/
> C_INCLUDE_PATH=/cygnus/h-i386-cygwin32/i386-cygwin32/include/
> CPLUS_INCLUDE_PATH=/cygnus/h-i386-cygwin32/i386-cygwin32/include:/cygnus/include/g++/
>
> That's it. That's all I did.  (Steve Willer)
> 
> ... 
> ...  
> 
> sgd: Jim Taylor
> 
> > From:    Stephen Maryka <[email-masked]>
> > Cc:         "[email-masked]" <[email-masked]>,
> >                "[email-masked]"
> >                <[email-masked]>
> > Subject:       RE: No CPP in cygwin32 for NT
> > Date:          Fri, 11 Oct 1996 15:41:56 -0600
> 
> > Hello,
> > 
> > I am currently trying to get the compiler working on 
> > my system and have had no luck getting it to find g++ 
> > include files such as "iostream.h".  I have tried
> > including the environment variable in my environment, 
> > and have also tried the mount of /usr.  The compiler 
> > works, and finds the standard C include files but craps 
> > out on the C++ ones. 
> > 
> > It is unclear to me whether I should be using the Dos 
> > notation (D:\...) or the  Unix notation (//D/...) when 
> > defining the variable or setting the mount point.  
> > I have tried several combinations wi...
> > ...
> > Any assistance would be greatly appreciated.
> > 
> > Thanks
> > 
> > Steve Maryka
> > 
> > 
> > ----------
> > ...
> > ...
> > 

Hope the above is of some help.  Dump it if not.

Regards,

--
[email-masked]
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".